(function (lib, img, cjs) {

var p; // shortcut to reference prototypes
var rect; // used to reference frame bounds

// library properties:
lib.properties = {
	width: 1280,
	height: 720,
	fps: 30,
	color: "#FFFFFF",
	manifest: [
		{src:"images/Bitmap1.png", id:"Bitmap1"},
		{src:"images/Bitmap10.png", id:"Bitmap10"},
		{src:"images/Bitmap11.png", id:"Bitmap11"},
		{src:"images/Bitmap12.png", id:"Bitmap12"},
		{src:"images/Bitmap13.png", id:"Bitmap13"},
		{src:"images/Bitmap14.png", id:"Bitmap14"},
		{src:"images/Bitmap15.png", id:"Bitmap15"},
		{src:"images/Bitmap16.png", id:"Bitmap16"},
		{src:"images/Bitmap2.png", id:"Bitmap2"},
		{src:"images/Bitmap2_1.png", id:"Bitmap2_1"},
		{src:"images/Bitmap3.png", id:"Bitmap3"},
		{src:"images/Bitmap4.png", id:"Bitmap4"},
		{src:"images/Bitmap5.png", id:"Bitmap5"},
		{src:"images/Bitmap6.png", id:"Bitmap6"},
		{src:"images/Bitmap7.png", id:"Bitmap7"},
		{src:"images/Bitmap8.png", id:"Bitmap8"},
		{src:"images/Bitmap9.png", id:"Bitmap9"}
	]
};



// symbols:



(lib.Bitmap1 = function() {
	this.initialize(img.Bitmap1);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,582,619);


(lib.Bitmap10 = function() {
	this.initialize(img.Bitmap10);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,69,41);


(lib.Bitmap11 = function() {
	this.initialize(img.Bitmap11);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,69,41);


(lib.Bitmap12 = function() {
	this.initialize(img.Bitmap12);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,69,41);


(lib.Bitmap13 = function() {
	this.initialize(img.Bitmap13);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,69,41);


(lib.Bitmap14 = function() {
	this.initialize(img.Bitmap14);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,69,41);


(lib.Bitmap15 = function() {
	this.initialize(img.Bitmap15);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,69,41);


(lib.Bitmap16 = function() {
	this.initialize(img.Bitmap16);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,69,41);


(lib.Bitmap2 = function() {
	this.initialize(img.Bitmap2);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,565,604);


(lib.Bitmap2_1 = function() {
	this.initialize(img.Bitmap2_1);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,565,604);


(lib.Bitmap3 = function() {
	this.initialize(img.Bitmap3);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1106,76);


(lib.Bitmap4 = function() {
	this.initialize(img.Bitmap4);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,69,41);


(lib.Bitmap5 = function() {
	this.initialize(img.Bitmap5);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,69,41);


(lib.Bitmap6 = function() {
	this.initialize(img.Bitmap6);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,69,41);


(lib.Bitmap7 = function() {
	this.initialize(img.Bitmap7);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,69,41);


(lib.Bitmap8 = function() {
	this.initialize(img.Bitmap8);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,69,41);


(lib.Bitmap9 = function() {
	this.initialize(img.Bitmap9);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,69,41);


(lib.Symbol13 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap16();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,69,41);
p.frameBounds = [rect];


(lib.Symbol12 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap15();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,69,41);
p.frameBounds = [rect];


(lib.Symbol11 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap14();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,69,41);
p.frameBounds = [rect];


(lib.Symbol10 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap13();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,69,41);
p.frameBounds = [rect];


(lib.Symbol9 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap12();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,69,41);
p.frameBounds = [rect];


(lib.Symbol8 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap11();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,69,41);
p.frameBounds = [rect];


(lib.Symbol7 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap10();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,69,41);
p.frameBounds = [rect];


(lib.Symbol6 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap9();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,69,41);
p.frameBounds = [rect];


(lib.Symbol5 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap8();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,69,41);
p.frameBounds = [rect];


(lib.Symbol4 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap7();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,69,41);
p.frameBounds = [rect];


(lib.Symbol3 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap6();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,69,41);
p.frameBounds = [rect];


(lib.Symbol2 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap5();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,69,41);
p.frameBounds = [rect];


(lib.Symbol1 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap4();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,69,41);
p.frameBounds = [rect];


(lib.exerciseContainer = function(mode,startPosition,loop) {
if (loop == null) { loop = false; }	this.initialize(mode,startPosition,loop,{});

	// timeline functions:
	this.frame_0 = function() {
		/* Ustawienia */
		var config = {
			id: '32252',
			title: 'Na podstawie rozkładu jazdy uzupełnij godziny odjazdu autobusów.',
			type: 'drag',
			container: this,
			prefix: 'drag_',
			prefix2: 'drop_',
			/*
			groupdrags: {		
				1: ['1', '2', '3', '6'],
			},
			/*
			groupdrops: {
				1: [1,2,3],
				2: [4,5,6],
				3: [7,8,9]
			},
			*/	
			results: [
				/*drop_1:*/ '1',
				/*drop_2:*/ '2',
				/*drop_3:*/ '3',
				/*drop_4:*/ '4',	
				/*drop_5:*/ '5',		
			],
			range: 20,
			alpha: 0,
			alpha2: 0,
			//scale: 0.8,
			//rotation: 'auto',
			//size: 'auto',
			//zindex: 3,
			
			exerciseAfterInit: function(container) {
				//container['drag_1'].rotate = 60;
			},
			exerciseBeforeFinish: function(container) {
				
			},
			exerciseExtraCheck: function(container) {
				
			},
		}
		
		exerciseOnInit(config);
		
		this.stop();
		
		/*---------------------------------------------------------------------------------------------------------------
		/* Help
		/*---------------------------------------------------------------------------------------------------------------
		 
		id - Id cwiczenia
		title - Tytul cwiczenia
		type - Typ Cwiczenia
		contanier - Kontener cwiczenia
		groupdrags - Lista grup dagow oraz przypisane do nich identyfikatory (unikatowa liczba) obiektow bez prefixow
		groupdrags - Lista grup targetow oraz przypisane do nich identyfikatory (unikatowa liczba) obiektow bez prefixow
		prefix - Prefixy w nazwach obiektow
		results - Rozwiazanie jako tablica identyfikatorow. Znak '|' definuje alternatywe, a '&' oznacza sume.	
		Przyklad:
		Cwiczenie typu sort.
		Odpowiedzi: [5,2,1,4,5] - tablica z ulozonymi w odpowiedniej kolejnisci identyfikatorami obiektow sortowanych.
		Cwiczenie typu drag.
		Odpowiedzi: [5,1|3,2&4] - tablica z id obiektow przeciaganych lub grup. W tym wariancie kazdy kolejny element z indexem 'i' w tablicy odpowiada targetowi o nazwie 'prefix+i'.
		np. prawidlowa odpowiedzia dla drop_1 jest obiekt drag_5, dla drop_2 obiekt drag_1 lub drag_3, dla drop_3 obiekt drag_2 oraz drag_4.
		range - Zakres dociagania
		alpha - Przezroczystosc targetu
		alpha2 - Przezroczystosc targetu po najechaniu
		rotation - Dostosowanie obrotu obiektu do targetu
		scale - Skalowanie obiektu po upuszczeniu
		size - Skalowanie obiektu do rozmiarow targetu
		zindex - Pozycja z obiektu
		/*-------------------------------------------------------------------------------------------------------------*/
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(1));

	// content
	this.drop_5 = new lib.Symbol7();
	this.drop_5.setTransform(1125.6,434.2,1,1,0,0,0,34.5,20.5);

	this.drop_3 = new lib.Symbol2();
	this.drop_3.setTransform(1070.1,267.3,1,1,0,0,0,34.5,20.5);

	this.drop_4 = new lib.Symbol9();
	this.drop_4.setTransform(1070.1,350.2,1,1,0,0,0,34.5,20.5);

	this.drop_2 = new lib.Symbol10();
	this.drop_2.setTransform(1129.3,184.3,1,1,0,0,0,34.5,20.5);

	this.drop_1 = new lib.Symbol1();
	this.drop_1.setTransform(1123.6,101.3,1,1,0,0,0,34.5,20.5);

	this.drag_13 = new lib.Symbol13();
	this.drag_13.setTransform(1130.3,545.2,1,1,0,0,0,34.5,20.5);

	this.drag_12 = new lib.Symbol12();
	this.drag_12.setTransform(1047.8,545.2,1,1,0,0,0,34.5,20.5);

	this.drag_11 = new lib.Symbol11();
	this.drag_11.setTransform(965.2,545.2,1,1,0,0,0,34.5,20.5);

	this.drag_2 = new lib.Symbol10();
	this.drag_2.setTransform(882.7,545.2,1,1,0,0,0,34.5,20.5);

	this.drag_4 = new lib.Symbol9();
	this.drag_4.setTransform(800.1,545.2,1,1,0,0,0,34.5,20.5);

	this.drag_10 = new lib.Symbol8();
	this.drag_10.setTransform(717.6,545.2,1,1,0,0,0,34.5,20.5);

	this.drag_5 = new lib.Symbol7();
	this.drag_5.setTransform(635,545.2,1,1,0,0,0,34.5,20.5);

	this.drag_9 = new lib.Symbol6();
	this.drag_9.setTransform(552.5,545.2,1,1,0,0,0,34.5,20.5);

	this.drag_8 = new lib.Symbol5();
	this.drag_8.setTransform(469.9,545.2,1,1,0,0,0,34.5,20.5);

	this.drag_7 = new lib.Symbol4();
	this.drag_7.setTransform(387.4,545.2,1,1,0,0,0,34.5,20.5);

	this.drag_6 = new lib.Symbol3();
	this.drag_6.setTransform(304.8,545.2,1,1,0,0,0,34.5,20.5);

	this.drag_3 = new lib.Symbol2();
	this.drag_3.setTransform(222.3,545.2,1,1,0,0,0,34.5,20.5);

	this.drag_1 = new lib.Symbol1();
	this.drag_1.setTransform(139.7,545.2,1,1,0,0,0,34.5,20.5);

	this.instance = new lib.Bitmap3();
	this.instance.setTransform(83.7,507.5);

	this.instance_1 = new lib.Bitmap1();
	this.instance_1.setTransform(49.8,50.5);

	this.instance_2 = new lib.Bitmap2();
	this.instance_2.setTransform(664.5,65);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.instance_2},{t:this.instance_1},{t:this.instance},{t:this.drag_1},{t:this.drag_3},{t:this.drag_6},{t:this.drag_7},{t:this.drag_8},{t:this.drag_9},{t:this.drag_5},{t:this.drag_10},{t:this.drag_4},{t:this.drag_2},{t:this.drag_11},{t:this.drag_12},{t:this.drag_13},{t:this.drop_1},{t:this.drop_2},{t:this.drop_4},{t:this.drop_3},{t:this.drop_5}]}).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = rect = new cjs.Rectangle(49.8,50.5,1179.7,619);
p.frameBounds = [rect];


// stage content:
(lib.index = function() {
	this.initialize();

	// exercise
	this.container = new lib.exerciseContainer();
	this.container.setTransform(916.5,389,1,1,0,0,0,916.5,389);

	this.addChild(this.container);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(689.8,410.5,1179.7,619);
p.frameBounds = [rect];

})(lib = lib||{}, images = images||{}, createjs = createjs||{});
var lib, images, createjs;